List SBM flavors for a location

GET/v1/locations/{location_id}/order_options/sbm_flavor_models

To list all available SBM flavors within a location, send a GET request to /v1/locations/{location_id}/order_options/sbm_flavor_models. A location ID should be mentioned in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

show_all?boolean

By default, only available flavors are shown. If this parameter has the true value, all flavors including unavailable one will be shown.

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Also, it's possible to sort by name.

Default"id"

Value in

  • "id"
  • "name"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1562/order_options/sbm_flavor_models?show_all=true"
[  {    "id": 2539,    "name": "P-101",    "cpu_name": "cpu_name",    "cpu_count": 1,    "cpu_cores_count": 2,    "cpu_frequency": "3.8",    "ram_size": 4096,    "drives_configuration": "1 x hdd-model-1515, 1 x hdd-model-1516",    "public_uplink_model_id": 2535,    "public_uplink_model_name": "uplink-model-name-120",    "private_uplink_model_id": 2534,    "private_uplink_model_name": "uplink-model-name-119",    "bandwidth_id": 2536,    "bandwidth_name": "public-bandwidth-model-135"  },  {    "id": 2545,    "name": "P-202",    "cpu_name": "cpu_name",    "cpu_count": 1,    "cpu_cores_count": 2,    "cpu_frequency": "3.8",    "ram_size": 4096,    "drives_configuration": "1 x hdd-model-1517, 1 x hdd-model-1518",    "public_uplink_model_id": 2541,    "public_uplink_model_name": "uplink-model-name-122",    "private_uplink_model_id": 2540,    "private_uplink_model_name": "uplink-model-name-121",    "bandwidth_id": 2542,    "bandwidth_name": "public-bandwidth-model-136"  }]
{  "message": "Not found",  "code": "NOT_FOUND"}